import { MoonChainConfig } from '../interfaces';
export declare enum MoonChain {
    MoonbaseAlpha = "MoonbaseAlpha",
    Moonbeam = "Moonbeam",
    Moonriver = "Moonriver"
}
export declare const MOON_CHAINS_CONFIGS: Readonly<Record<MoonChain, MoonChainConfig>>;
export declare enum Chain {
    Acala = "Acala",
    AlphanetRelay = "AlphanetRelay",
    AstarAlphanet = "AstarAlphanet",
    BasiliskAlphanet = "BasiliskAlphanet",
    Bifrost = "Bifrost",
    BifrostAlphanet = "BifrostAlphanet",
    Calamari = "Calamari",
    CalamariAlphanet = "CalamariAlphanet",
    CrustShadow = "CrustShadow",
    CrustShadowAlphanet = "CrustShadowAlphanet",
    Darwinia = "Darwinia",
    DarwiniaAlphanet = "DarwiniaAlphanet",
    Integritee = "Integritee",
    IntegriteeAlphanet = "IntegriteeAlphanet",
    InterBTCAlphanet = "InterBTCAlphanet",
    Karura = "Karura",
    KaruraAlphanet = "KaruraAlphanet",
    Khala = "Khala",
    KhalaAlphanet = "KhalaAlphanet",
    Kintsugi = "Kintsugi",
    Kusama = "Kusama",
    LitentryAlphanet = "LitentryAlphanet",
    Parallel = "Parallel",
    ParallelAlphanet = "ParallelAlphanet",
    Polkadot = "Polkadot",
    Shiden = "Shiden",
    Statemine = "Statemine"
}
