import { Asset, Chain } from '../constants';
import { AssetConfig, MoonChainConfig } from '../interfaces';
import { AssetsConfigs, ChainsConfigs, ChainXcmConfigs, ConfigGetter } from './config.interfaces';
export declare function createConfigGetter<Assets extends Asset, Chains extends Chain>(assets: AssetsConfigs<Assets>, moonAsset: AssetConfig<Assets>, moonChain: MoonChainConfig, chains: ChainsConfigs<Chains>, configs: ChainXcmConfigs<Assets, Chains>): ConfigGetter<Assets, Chains>;
export declare const moonbase: ConfigGetter<Asset.ASTR | Asset.BNC | Asset.BSX | Asset.CRU | Asset.DEV | Asset.HKO | Asset.KAR | Asset.KBTC | Asset.KINT | Asset.KMA | Asset.KUSD | Asset.LIT | Asset.PARING | Asset.PHA | Asset.TEER | Asset.UNIT, Chain.AlphanetRelay | Chain.AstarAlphanet | Chain.BasiliskAlphanet | Chain.BifrostAlphanet | Chain.CalamariAlphanet | Chain.CrustShadowAlphanet | Chain.DarwiniaAlphanet | Chain.IntegriteeAlphanet | Chain.InterBTCAlphanet | Chain.KaruraAlphanet | Chain.KhalaAlphanet | Chain.LitentryAlphanet | Chain.ParallelAlphanet>;
export declare const moonbeam: ConfigGetter<Asset.ACA | Asset.AUSD | Asset.DOT | Asset.GLMR | Asset.PARA, Chain.Acala | Chain.Parallel | Chain.Polkadot>;
export declare const moonriver: ConfigGetter<Asset.AUSD | Asset.BNC | Asset.CRAB | Asset.CSM | Asset.HKO | Asset.KAR | Asset.KBTC | Asset.KINT | Asset.KMA | Asset.KSM | Asset.MOVR | Asset.PHA | Asset.RMRK | Asset.SDN | Asset.TEER | Asset.USDT, Chain.Bifrost | Chain.Calamari | Chain.CrustShadow | Chain.Darwinia | Chain.Integritee | Chain.Karura | Chain.Khala | Chain.Kintsugi | Chain.Kusama | Chain.Parallel | Chain.Shiden | Chain.Statemine>;
