import { Chain } from '../../constants';
export const MOONBEAM_CHAINS = [
    Chain.Acala,
    Chain.Parallel,
    Chain.Polkadot,
];
export const MOONBEAM_CHAINS_CONFIGS = {
    [Chain.Acala]: {
        chain: Chain.Acala,
        name: 'Acala',
        ws: 'wss://acala-polkadot.api.onfinality.io/public-ws',
        weight: 1000000000,
        parachainId: 2000,
        moonAssetId: 0,
    },
    [Chain.Parallel]: {
        chain: Chain.Parallel,
        name: 'Parallel',
        ws: 'wss://rpc.parallel.fi',
        weight: 1000000000,
        parachainId: 2012,
        moonAssetId: 114,
    },
    [Chain.Polkadot]: {
        chain: Chain.Polkadot,
        name: 'Polkadot',
        ws: 'wss://rpc.polkadot.io',
        weight: 1000000000,
        parachainId: 0,
    },
};
//# sourceMappingURL=moonbeam.chains.js.map