"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MOONBEAM_ASSETS_CONFIGS = exports.MOONBEAM_ASSETS = void 0;
const constants_1 = require("../../constants");
exports.MOONBEAM_ASSETS = [
    constants_1.Asset.ACA,
    constants_1.Asset.AUSD,
    constants_1.Asset.DOT,
    constants_1.Asset.GLMR,
    constants_1.Asset.PARA,
];
exports.MOONBEAM_ASSETS_CONFIGS = {
    [constants_1.Asset.ACA]: {
        id: '224821240862170613278369189818311486111',
        erc20Id: '0xffffffffa922fef94566104a6e5a35a4fcddaa9f',
        originSymbol: constants_1.Asset.ACA,
    },
    [constants_1.Asset.AUSD]: {
        id: '110021739665376159354538090254163045594',
        erc20Id: '0xffffffff52c56a9257bb97f4b2b6f7b2d624ecda',
        originSymbol: constants_1.Asset.AUSD,
    },
    [constants_1.Asset.DOT]: {
        id: '42259045809535163221576417993425387648',
        erc20Id: '0xffffffff1fcacbd218edc0eba20fc2308c778080',
        originSymbol: constants_1.Asset.DOT,
    },
    [constants_1.Asset.GLMR]: {
        id: '',
        erc20Id: '0x0000000000000000000000000000000000000802',
        originSymbol: constants_1.Asset.GLMR,
    },
    [constants_1.Asset.PARA]: {
        id: '32615670524745285411807346420584982855',
        erc20Id: '0xffffffff18898cb5fe1e88e668152b4f4052a947',
        originSymbol: constants_1.Asset.PARA,
    },
};
//# sourceMappingURL=moonbeam.assets.js.map